// $Header: /p/sss/cvs/OpenVM/src/s3/core/stitcher/SIGIOSockets_PollingOther_ProfilingEvMan_IOServiceConfigurator.java,v 1.1 2004/10/13 00:15:11 pizlofj Exp $

package s3.core.stitcher;

import ovm.core.stitcher.EventServicesFactory;
import s3.core.services.events.*;

public class SIGIOSockets_PollingOther_ProfilingEvMan_IOServiceConfigurator
    extends SIGIOSockets_PollingOther_IOServiceConfigurator {

    protected static class ProfilingEventServicesFactory 
        extends ovm.core.stitcher.EventServicesFactory {
        public ovm.core.services.events.EventManager getEventManager() {
            return s3.core.services.events.ProfilingEventManagerImpl.getInstance();
        }
        
        public String toString() {
            return "profiling RT event support";
        }
    }

    protected void initFactories() {
	if (factories.get(EventServicesFactory.name) == null)
	    factories.put(EventServicesFactory.name,
			  new ProfilingEventServicesFactory());
	
	super.initFactories();
    }
}

